package net.moonleay.gimble.editor.state.mode

enum class Mode(val displayName: String, val color: Int, val incompatibleModifiers: List<ModeModifier>){
    UNKNOWN("UNKNOWN", 0x000000, listOf()), // Unknown mode. This mode cannot be entered
    NORMAL("NORMAL", 0x90a959, listOf(ModeModifier.NO_UPDATES, ModeModifier.BULLDOZER, ModeModifier.FORCE_PLACE)), // Do nothing
    INSERT("INSERT", 0xf4bf75, listOf()), // Place and break blocks
    REPLACE("REPLACE", 0xac4242, listOf()), // Replace blocks
    VISUAL("VISUAL", 0x6a9fb5, listOf(ModeModifier.BULLDOZER)), // Do fancy stuff with WE
}
